module.exports = app => {
  const mindmap = require("../controllers/mindmap.controller.js");
  var router = require("express").Router();
  router.post("/allmaps", mindmap.allmaps);
  router.post("/updateviewer", mindmap.updateviewer);
  router.post("/add", mindmap.add);
  router.post("/all", mindmap.all);
  router.post("/delete", mindmap.delete);
  router.post("/save_rearrange", mindmap.save_rearrange);
  router.post("/update", mindmap.update);
  app.use('/mindmap', router);
};
